Skip to main content
GET
List Tenants

Query Parameters

cursor
string

The cursor to start from

limit
number | null

The limit of items to return, default is 100

includeDeleted
boolean | null

Whether to include deactivated tenants in the results.

Search term to filter tenants by name, external ID, or website.

orderBy
enum<string>

Field to sort by.

Available options:
name,
created_at,
updated_at
orderDirection
enum<string>

Sort direction.

Available options:
asc,
desc
fields
string

Comma-separated list of fields to return. This reduces payload size and improves performance by only fetching requested data. Available fields: id, name, website, external_id, locations, branding, created_at, updated_at, deleted_at, data_integration_completed_at, website_tracking_completed_at, uiDefaults, userCount, sendingDomainStatus. Example: "id,name" to only return id and name. If not provided, all fields are returned.

Response

Status 200 response

success
boolean
required
message
string
data
object